O.pelinae_opt.jpg=Ophrys pelinae. \
From Lesbos & Samos to Kos & Rhodes.\
.\

O.pelinae-2_opt.jpg=Ophrys pelinae.                                 \
Described in 2007 as Mount Pelinaio of Chios in the eastern Aegean.                .\

